Bug 30475 - Convert tools pages tabs to Bootstrap (part 2)
Summary: Convert tools pages tabs to Bootstrap (part 2)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29226 30884
  Show dependency treegraph
 
Reported: 2022-04-06 17:19 UTC by Owen Leonard
Modified: 2022-06-29 22:20 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30475: Convert tools pages tabs to Bootstrap (part 2) (43.66 KB, patch)
2022-04-06 18:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30475: Convert tools pages tabs to Bootstrap (part 2) (46.41 KB, patch)
2022-04-20 13:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30475: Convert tools pages tabs to Bootstrap (part 2) (46.47 KB, patch)
2022-04-20 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30475: Convert tools pages tabs to Bootstrap (part 2) (46.53 KB, patch)
2022-04-25 12:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-06 17:19:51 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in a few tools templates with Bootstrap:

- modborrowers.tt
- export.tt
- overduerules.tt
Comment 1 Owen Leonard 2022-04-06 18:04:44 UTC
Created attachment 133047 [details] [review]
Bug 30475: Convert tools pages tabs to Bootstrap (part 2)

This patch converts jQueryUI tabs on three tools templates to Bootstrap
tabs.

To test, apply the patch and go to Tools -> Export.

- You should see at least two tabs, "Export bibliographic records" and
  "Export authority records."
- Confirm that they look correct and work correctly.

Go to Tools -> Batch patron modification.

- Check the "By card number," "By borrowernumber," and "By patron list"
  tabs.

Go to Tools -> Overdue notice/status triggers.

 - Check the "First," "Second," and "Third" tabs.
Comment 2 Owen Leonard 2022-04-20 13:56:27 UTC
Created attachment 133474 [details] [review]
Bug 30475: Convert tools pages tabs to Bootstrap (part 2)

This patch converts jQueryUI tabs on three tools templates to Bootstrap
tabs. The patch contains indentation changes, so diff accordingly.

To test, apply the patch and go to Tools -> Export.

- You should see at least two tabs, "Export bibliographic records" and
  "Export authority records."
- Confirm that they look correct and work correctly.

Go to Tools -> Batch patron modification.

- Check the "By card number," "By borrowernumber," and "By patron list"
  tabs.

Go to Tools -> Overdue notice/status triggers.

 - Check the "First," "Second," and "Third" tabs.
Comment 3 Martin Renvoize 2022-04-20 16:02:18 UTC
Created attachment 133489 [details] [review]
Bug 30475: Convert tools pages tabs to Bootstrap (part 2)

This patch converts jQueryUI tabs on three tools templates to Bootstrap
tabs. The patch contains indentation changes, so diff accordingly.

To test, apply the patch and go to Tools -> Export.

- You should see at least two tabs, "Export bibliographic records" and
  "Export authority records."
- Confirm that they look correct and work correctly.

Go to Tools -> Batch patron modification.

- Check the "By card number," "By borrowernumber," and "By patron list"
  tabs.

Go to Tools -> Overdue notice/status triggers.

 - Check the "First," "Second," and "Third" tabs.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-04-20 16:02:48 UTC
Looks great, Signing off
Comment 5 Katrin Fischer 2022-04-25 12:39:42 UTC
Created attachment 133769 [details] [review]
Bug 30475: Convert tools pages tabs to Bootstrap (part 2)

This patch converts jQueryUI tabs on three tools templates to Bootstrap
tabs. The patch contains indentation changes, so diff accordingly.

To test, apply the patch and go to Tools -> Export.

- You should see at least two tabs, "Export bibliographic records" and
  "Export authority records."
- Confirm that they look correct and work correctly.

Go to Tools -> Batch patron modification.

- Check the "By card number," "By borrowernumber," and "By patron list"
  tabs.

Go to Tools -> Overdue notice/status triggers.

 - Check the "First," "Second," and "Third" tabs.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Fridolin Somers 2022-05-05 00:32:56 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄